1. Topics
Turf API Documentation
  • Users
    • Create Community Member
      POST
    • Update Community Member's Profile
      PUT
    • Get Community Members
      GET
    • Block Community Member
      PUT
    • Get Community Member's Details
      GET
    • Get Member's Created Posts
      GET
    • Get Member's Saved Posts
      GET
    • Get Member's Comments
      GET
  • Channels
    • Get Community Channels
      GET
    • Get Roadmap Channel Status
      GET
  • Posts
    • Create Discussion Post
      POST
    • Update Discussion Post
      PUT
    • Create Article Post
      POST
    • Update Article Post
      PUT
    • Top Community Posts
      GET
    • Get Channel's Posts
      GET
    • Get Discussion Post Details
      GET
    • Get Article Post Details
      GET
    • Update Roadmap Post Status
      PUT
  • Courses
    • Top Community Courses
      GET
  • Segments
    • Get Community Segments
      GET
    • Add Member To Segment
      POST
    • Remove Member From Segment
      DELETE
  • Gamification
    • Get Community Badges
    • Award Badge To Member
    • Remove Badge From Member
  • Comments
    • Create Comment On Post
    • Update Comment On Post
    • Delete Existing Comment
    • Create comment on comment
  • Topics
    • Get Topics
      GET
  1. Topics

Get Topics

GET
https://2e0a7m2i9j.execute-api.eu-central-1.amazonaws.com/prod/topics/v1
The Get Topics API retrieves a paginated list of topics from a specified channel. The API returns topic records, including topic ID , title, description, and banner image, based on the provided channel ID and pagination parameters.

Request

Query Params

Header Params

Responses

🟢200Success
application/json
Bodyapplication/json

🟢200OK
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://2e0a7m2i9j.execute-api.eu-central-1.amazonaws.com/prod/topics/v1?channelId=knowledgehub&pageNo=1&pageSize=20' \
--header 'x-api-key;'
Response Response Example
200 - Success - Success
{
    "message": "Success",
    "data": {
        "topics": [
            {
                "id": "topicje-good",
                "title": "Topicje good",
                "description": "ewrfwerfew",
                "banner_image_url": "https://d2f452rkbp8cml.cloudfront.net/topics/turf-bdaas-pre-seed-v2-1.png"
            },
            {
                "id": "efwfw",
                "title": "efwfw",
                "description": "wefwe",
                "banner_image_url": "https://d2f452rkbp8cml.cloudfront.net/"
            },
            {
                "id": "wecwe",
                "title": "wecwe",
                "description": "ecwec",
                "banner_image_url": "https://d2f452rkbp8cml.cloudfront.net/"
            }
        ],
        "total": 3
    }
}
Modified at 2026-03-26 13:02:34
Previous
Create comment on comment
Built with